Reconcile Ai Assistants Platform
Triggers a reconciliation of the AI Assistants platform. Ensures all configuration, content, and runtime state are consistent. Returns a list of steps that were executed with their success/failure status.
Whether to force re-import of bundles even if already imported. Defaults to false.
Reconciliation accepted. Synchronous steps completed and their results are in the response body. Asynchronous tasks were started and their progress can be tracked via the async_tasks status_url in the step result.
{
"overall_success": true,
"results": [
{
"step_name": "sync_proxy_config",
"status": "SUCCESS",
"message": "Proxy configuration updated successfully"
},
{
"step_name": "sync_platform",
"status": "SUCCESS",
"message": "LLM secret synced successfully"
},
{
"step_name": "import_bundles",
"status": "IN_PROGRESS",
"message": "Started importing bundles for vertical: firewall",
"async_tasks": [
{
"id": "12345",
"status_url": "/api/v1/ai-assistants/platform/firewall/status"
}
]
}
]
}
True if no reconciliation steps FAILED.
Results for each reconciliation step.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Reconciliation encountered error.
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' https://{api_host}/ai-assistants/platform/reconcile